### Hierarchy

- ChoiceMutator

## Index

### Methods

- leafElements
- mutate
- mutateType

## Methods

### Static Private leafElements

- leafElements(specs: ISpecification[], accumulator: ISpecification[]): ISpecification[]

- - Defined in lib/renderable/choice/ChoiceMutator.ts:36

  Recursively unpacks all leaf elements from the given {@link ISpecification[]}

  #### Parameters

  - ##### specs: ISpecification[]

  - ##### accumulator: ISpecification[]

  #### Returns ISpecification[]

### Static mutate

- mutate(elements: ISpecification[], type: string): void

- - Defined in lib/renderable/choice/ChoiceMutator.ts:13

  Mutates choice elements depending on the concrete container implementation singleChoiceContainer => radioChoice multipleChoiceContainer => checkboxChoice

  #### Parameters

  - ##### elements: ISpecification[]

  - ##### type: string

  #### Returns void

### Static Private mutateType

- mutateType(spec: ISpecification, type: string): ISpecification

- - Defined in lib/renderable/choice/ChoiceMutator.ts:24

  Mutates the type of a choice element. This is required to differ between radio buttons and checkboxes and should not be considered as a good solution.

  #### Parameters

  - ##### spec: ISpecification

  - ##### type: string

  #### Returns ISpecification

Generated using TypeDoc